<?php

require_once implode('/', [__DIR__, 'oc-vaio-options.php']);

/**
 * manage filters
 */
class OcVaioFilters {


    /**
     * filters instance
     */
    static $instance = null;


    /**
     * filter vk all in one related posts
     */
    function filter_veu_related_post_types($post_types) {

        $hide = get_option(OcVaioOptions::$hide_related_posts_in_post);

        if ($hide == 'on') {
            $key = array_search('post', $post_types);
            if ($key !== false) {
                unset($post_types[$key]);
            }
        }
        return $post_types;
    }


    /**
     * register filters
     */
    function register_filters() {
        add_filter(
            'veu_related_post_types',
            [$this, 'filter_veu_related_post_types']);

    }
}


OcVaioFilters::$instance = new OcVaioFilters;

// vi: se ts=4 sw=4 et:

